# login-site

## Pré-requis

- nodejs (18.x)
- npm (9.x)

## Project setup

```shell
npm install
```

### Set environment variables

```ìni
NODE_ENV=development

DOMAIN=http://127.0.0.0:80
VUE_APP_DOMAIN=${DOMAIN}

BASE_PATH=/
VUE_APP_BASE_PATH=${BASE_PATH}

VUE_APP_NEXT_DEFAULT=${BASE_PATH}

VUE_APP_LOCALE=fr-FR
VUE_APP_I18N_LOCALE=fr
VUE_APP_I18N_DEFAULT_LOCALE=fr
VUE_APP_I18N_FALLBACK_LOCALE=fr
VUE_APP_I18N_SUPPORTED_LOCALE=fr,en

# App title
VUE_APP_TITLE=Onegeo-Suite

# Favicon
VUE_APP_FAVICON_URL=${VUE_APP_DOMAIN}/assets/favicon.png

#Logo
VUE_APP_LOGO=@/assets/logo.png

# API
VUE_APP_LOGIN_API_PATH=/login
VUE_APP_ORGANISATION_API_PATH=/organisation/
VUE_APP_USERGROUP_API_PATH=/usergroup/

# AUTH
VUE_APP_LOGIN_API_USERNAME=admin
VUE_APP_LOGIN_API_PASSWORD=CHANGE_ME

# External auth
VUE_APP_EXTERNAL_LOGIN=true
VUE_APP_EXTERNAL_LOGIN_URL=http://127.0.0.1/oidc/authenticate
VUE_APP_EXTERNAL_LOGOUT_URL=http://127.0.0.1/oidc/logout/?redirect_uri=/fr/login/signout
VUE_APP_EXTERNAL_LOGOUT_METHOD=get
VUE_APP_EXTERNAL_LOGIN_LABEL=Connect with...
```

### Compiles and hot-reloads for development

```shell
npm run serve
```

### Compiles and minifies for production

```shell
npm run build
```

### Run your unit tests

```shell
npm run test:unit
```

### Run your end-to-end tests

```shell
npm run test:e2e
```

### Lints and fixes files

```shell
npm run lint
```

### Customize configuration

See [Configuration Reference](https://cli.vuejs.org/config/).
